WindowsAPICodePackShell 7.0.3

There is a newer version of this package available.
See the version list below for details.
dotnet add package WindowsAPICodePackShell --version 7.0.3
NuGet\Install-Package WindowsAPICodePackShell -Version 7.0.3
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="WindowsAPICodePackShell" Version="7.0.3" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add WindowsAPICodePackShell --version 7.0.3
#r "nuget: WindowsAPICodePackShell, 7.0.3"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install WindowsAPICodePackShell as a Cake Addin
#addin nuget:?package=WindowsAPICodePackShell&version=7.0.3

// Install WindowsAPICodePackShell as a Cake Tool
#tool nuget:?package=WindowsAPICodePackShell&version=7.0.3

This package contains the shell binary for the Windows API Code Pack needed for Windows Forms Development in the 1.1 version, released by Microsoft in 2009.


Modifications by Jacob Slusser until 2020. Modified to use .NET Frameworks 4.6.2 - 4.8.1, .NET Core 3.1 or .NET 5 - 7 and refactoring by Peter William Wagner, (aka Wagnerp) 2023.

Product Compatible and additional computed target framework versions.
.NET net5.0 was computed.  net5.0-windows was computed.  net5.0-windows7.0 is compatible.  net6.0 was computed.  net6.0-android was computed.  net6.0-ios was computed.  net6.0-maccatalyst was computed.  net6.0-macos was computed.  net6.0-tvos was computed.  net6.0-windows was computed.  net6.0-windows7.0 is compatible.  net7.0 was computed.  net7.0-android was computed.  net7.0-ios was computed.  net7.0-maccatalyst was computed.  net7.0-macos was computed.  net7.0-tvos was computed.  net7.0-windows was computed.  net7.0-windows7.0 is compatible.  net8.0 was computed.  net8.0-android was computed.  net8.0-browser was computed.  net8.0-ios was computed.  net8.0-maccatalyst was computed.  net8.0-macos was computed.  net8.0-tvos was computed.  net8.0-windows was computed. 
.NET Core netcoreapp3.1 is compatible. 
.NET Framework net462 is compatible.  net463 was computed.  net47 is compatible.  net471 is compatible.  net472 is compatible.  net48 is compatible.  net481 is compatible. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (14)

Showing the top 5 NuGet packages that depend on WindowsAPICodePackShell:

Package Downloads
Krypton.Toolkit.Suite.Extended.Dialogs

An extension to the Standard Toolkit, which supports .NET Framework 4.6.2 - 4.8.1, .NET Core 3.1 and .NET 5 - 7. This package implements additional extensions to standard dialogs. This package supports all .NET Framework versions starting .NET Framework 4.6.2 - 4.8.1, .NET Core 3.1 and .NET 5 - 7. Also, all libraries are included targeting each specific framework version for performance purposes. To view all of the extended toolkit package latest version information, please visit: https://github.com/Krypton-Suite/Krypton-Toolkit-Suite-Version-Dashboard/blob/main/Documents/Modules/Extended/Krypton-Toolkit-Suite-Extended-Modules.md

Krypton.Toolkit.Suite.Extended.Theme.Switcher.Nightly

An extension to the Standard Toolkit, which supports .NET Framework 4.6.2 - 4.8.1, .NET 6, 8 and 9. This package implements a easy to use theme switcher. This package supports all .NET Framework versions starting .NET Framework 4.6.2 - 4.8.1, .NET 6, 8 and 9. Also, all libraries are included targeting each specific framework version for performance purposes. To view all of the extended toolkit package latest version information, please visit: https://github.com/Krypton-Suite/Krypton-Toolkit-Suite-Version-Dashboard/blob/main/Documents/Modules/Extended/Krypton-Toolkit-Suite-Extended-Modules.md

Krypton.Toolkit.Suite.Extended.Dialogs.Nightly

An extension to the Standard Toolkit, which supports .NET Framework 4.6.2 - 4.8.1, .NET 6, 8 and 9. This package implements additional extensions to standard dialogs. This package supports all .NET Framework versions starting .NET Framework 4.6.2 - 4.8.1, .NET 6, 8 and 9. Also, all libraries are included targeting each specific framework version for performance purposes. To view all of the extended toolkit package latest version information, please visit: https://github.com/Krypton-Suite/Krypton-Toolkit-Suite-Version-Dashboard/blob/main/Documents/Modules/Extended/Krypton-Toolkit-Suite-Extended-Modules.md

Krypton.Toolkit.Suite.Extended.Buttons.Nightly

An extension to the Standard Toolkit, which supports .NET Framework 4.6.2 - 4.8.1, .NET 6, 8 and 9. This package holds extensions to the KryptonButton controls. This package supports all .NET Framework versions starting .NET Framework 4.6.2 - 4.8.1, .NET 6, 8 and 9. Also, all libraries are included targeting each specific framework version for performance purposes. To view all of the extended toolkit package latest version information, please visit: https://github.com/Krypton-Suite/Krypton-Toolkit-Suite-Version-Dashboard/blob/main/Documents/Modules/Extended/Krypton-Toolkit-Suite-Extended-Modules.md

Krypton.Toolkit.Suite.Extended.File.Copier.Nightly

An extension to the Standard Toolkit, which supports .NET Framework 4.6.2 - 4.8.1, .NET 6, 8 and 9. This package provides tools to move and copy files. This package supports all .NET Framework versions starting .NET Framework 4.6.2 - 4.8.1, .NET 6, 8 and 9. Also, all libraries are included targeting each specific framework version for performance purposes. To view all of the extended toolkit package latest version information, please visit: https://github.com/Krypton-Suite/Krypton-Toolkit-Suite-Version-Dashboard/blob/main/Documents/Modules/Extended/Krypton-Toolkit-Suite-Extended-Modules.md

GitHub repositories (4)

Showing the top 4 popular GitHub repositories that depend on WindowsAPICodePackShell:

Repository Stars
Krypton-Suite/Extended-Toolkit
A companion toolkit for the standard toolkit.
VladimirKhil/SI
SIGame and related products
Crauzer/lol2gltf
Convert between League of Legends mesh formats and the glTF runtime format
Taiizor/Sucrose
Sucrose is a versatile wallpaper engine that brings life to your desktop with a wide range of interactive themes.
Version Downloads Last updated
8.0.2 823 2/24/2024
8.0.1 241 2/14/2024
8.0.0 1,188 11/14/2023
7.0.4 6,514 2/26/2023
7.0.3 640 2/17/2023
7.0.2 490 2/4/2023
7.0.1 6,471 11/15/2022
7.0.0 329 11/13/2022
1.1.3 904 6/25/2022
1.1.2 30,836 6/22/2021
1.1.1 2,123 1/25/2020
1.1.0 4,769 10/28/2015